System.Core 3.5.0.0 4.0.0.0 System.Enum

For more information about each enumeration value of this type, see section 4.4 of expr-tree-spec.doc or expr-tree-spec.pdf on the Microsoft Dynamic Language Runtime page of the Codeplex website.

Describes the node types for the nodes of an expression tree.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An addition operation, such as a + b, without overflow checking, for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An addition compound assignment operation, such as (a += b), without overflow checking, for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An addition compound assignment operation, such as (a += b), with overflow checking, for numeric operands.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An addition operation, such as (a + b), with overflow checking, for numeric operands.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise or logical AND operation, such as (a & b) in C# and (a And b) in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A conditional AND operation that evaluates the second operand only if the first operand evaluates to true. It corresponds to (a && b) in C# and (a AndAlso b) in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise or logical AND compound assignment operation, such as (a &= b) in C#.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An indexing operation in a one-dimensional array, such as array[index] in C# or array(index) in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that obtains the length of a one-dimensional array, such as array.Length.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An assignment operation, such as (a = b).

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A block of expressions.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A method call, such as in the obj.sampleMethod() expression.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A node that represents a null coalescing operation, such as (a ?? b) in C# or If(a, b) in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A conditional operation, such as a > b ? a : b in C# or If(a > b, a, b) in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A constant value.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A cast or conversion operation, such as (SampleType)obj in C# or CType(obj, SampleType) in Visual Basic. For a numeric conversion, if the converted value is too large for the destination type, no exception is thrown.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A cast or conversion operation, such as (SampleType)obj in C# or CType(obj, SampleType) in Visual Basic. For a numeric conversion, if the converted value does not fit the destination type, an exception is thrown.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  Debugging information.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A unary decrement operation, such as (a - 1) in C# and Visual Basic. The object a should not be modified in place.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A default value.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A division operation, such as (a / b), for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An division compound assignment operation, such as (a /= b), for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A dynamic operation.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A node that represents an equality comparison, such as (a == b) in C# or (a = b) in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise or logical XOR operation, such as (a ^ b) in C# or (a Xor b) in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise or logical XOR compound assignment operation, such as (a ^= b) in C#.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An extension expression.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A "go to" expression, such as goto Label in C# or GoTo Label in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A "greater than" comparison, such as (a > b).

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A "greater than or equal to" comparison, such as (a >= b).

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A unary increment operation, such as (a + 1) in C# and Visual Basic. The object a should not be modified in place.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An index operation or an operation that accesses a property that takes arguments.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that invokes a delegate or lambda expression, such as sampleDelegate.Invoke().

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A false condition value.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A true condition value.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A label.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A lambda expression, such as a => a + a in C# or Function(a) a + a in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise left-shift operation, such as (a << b).

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise left-shift compound assignment, such as (a <<= b).

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A "less than" comparison, such as (a < b).

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A "less than or equal to" comparison, such as (a <= b).

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that creates a new object and initializes it from a list of elements, such as new List<SampleType>(){ a, b, c } in C# or Dim sampleList = { a, b, c } in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A loop, such as for or while.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that reads from a field or property, such as obj.SampleProperty.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that creates a new object and initializes one or more of its members, such as new Point { X = 1, Y = 2 } in C# or New Point With {.X = 1, .Y = 2} in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An arithmetic remainder operation, such as (a % b) in C# or (a Mod b) in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An arithmetic remainder compound assignment operation, such as (a %= b) in C#.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A multiplication operation, such as (a * b), without overflow checking, for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A multiplication compound assignment operation, such as (a *= b), without overflow checking, for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A multiplication compound assignment operation, such as (a *= b), that has overflow checking, for numeric operands.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An multiplication operation, such as (a * b), that has overflow checking, for numeric operands.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An arithmetic negation operation, such as (-a). The object a should not be modified in place.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An arithmetic negation operation, such as (-a), that has overflow checking. The object a should not be modified in place.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that calls a constructor to create a new object, such as new SampleType().

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that creates a new array, in which the bounds for each dimension are specified, such as new SampleType[dim1, dim2] in C# or New SampleType(dim1, dim2) in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that creates a new one-dimensional array and initializes it from a list of elements, such as new SampleType[]{a, b, c} in C# or New SampleType(){a, b, c} in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise complement or logical negation operation. In C#, it is equivalent to (~a) for integral types and to (!a) for Boolean values. In Visual Basic, it is equivalent to (Not a). The object a should not be modified in place.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An inequality comparison, such as (a != b) in C# or (a <> b) in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A ones complement operation, such as (~a) in C#.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise or logical OR operation, such as (a | b) in C# or (a Or b) in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise or logical OR compound assignment, such as (a |= b) in C#.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A short-circuiting conditional OR operation, such as (a || b) in C# or (a OrElse b) in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A reference to a parameter or variable that is defined in the context of the expression. For more information, see .

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A unary postfix decrement, such as (a--). The object a should be modified in place.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A unary postfix increment, such as (a++). The object a should be modified in place.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A mathematical operation that raises a number to a power, such as (a ^ b) in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A compound assignment operation that raises a number to a power, such as (a ^= b) in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A unary prefix decrement, such as (--a). The object a should be modified in place.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A unary prefix increment, such as (++a). The object a should be modified in place.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An expression that has a constant value of type . A node can contain references to parameters that are defined in the context of the expression it represents.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise right-shift operation, such as (a >> b).

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A bitwise right-shift compound assignment operation, such as (a >>= b).

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A list of run-time variables. For more information, see .

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A subtraction operation, such as (a - b), without overflow checking, for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A subtraction compound assignment operation, such as (a -= b), without overflow checking, for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A subtraction compound assignment operation, such as (a -= b), that has overflow checking, for numeric operands.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An arithmetic subtraction operation, such as (a - b), that has overflow checking, for numeric operands.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A switch operation, such as switch in C# or Select Case in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An operation that throws an exception, such as throw new Exception().

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A try-catch expression.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An explicit reference or boxing conversion in which null is supplied if the conversion fails, such as (obj as SampleType) in C# or TryCast(obj, SampleType) in Visual Basic.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An exact type test.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A type test, such as obj is SampleType in C# or TypeOf obj is SampleType in Visual Basic.

- Field
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  A unary plus operation, such as (+a). The result of a predefined unary plus operation is the value of the operand, but user-defined implementations might have unusual results.

- Field
  4.0.0.0
  System.Linq.Expressions.ExpressionType

  An unbox value type operation, such as unbox and unbox.any instructions in MSIL.